Skip to main content
GET
/
rewards
/
user
/
total
Get total earnings for user by date
curl --request GET \
  --url https://clob.polymarket.com/rewards/user/total \
  --header 'POLY_ADDRESS: <api-key>' \
  --header 'POLY_API_KEY: <api-key>' \
  --header 'POLY_PASSPHRASE: <api-key>' \
  --header 'POLY_SIGNATURE: <api-key>' \
  --header 'POLY_TIMESTAMP: <api-key>'
[
  {
    "date": "2024-04-09T00:00:00Z",
    "asset_address": "0x9c4E1703476E875070EE25b56A58B008CFb8FA78",
    "maker_address": "0xD527CCdBEB6478488c848465F9947bDA3C2e6994",
    "earnings": 1.59984,
    "asset_rate": 0.999357
  },
  {
    "date": "2024-04-09T00:00:00Z",
    "asset_address": "0x69308FB512518e39F9b16112fA8d994F4e2Bf8bB",
    "maker_address": "0xD527CCdBEB6478488c848465F9947bDA3C2e6994",
    "earnings": 8.187219,
    "asset_rate": 3.51
  }
]

Authorizations

POLY_API_KEY
string
header
required

Your API key

POLY_ADDRESS
string
header
required

Ethereum address associated with the API key

POLY_SIGNATURE
string
header
required

HMAC signature of the request

POLY_PASSPHRASE
string
header
required

API key passphrase

POLY_TIMESTAMP
string
header
required

Unix timestamp of the request

Query Parameters

date
string<date>
required

Date in YYYY-MM-DD format

signature_type
enum<integer>

Signature type for address derivation (required for API KEY auth):

  • 0: EOA
  • 1: POLY_PROXY
  • 2: POLY_GNOSIS_SAFE
Available options:
0,
1,
2
maker_address
string

Maker address to query earnings for

sponsored
boolean
default:false

If true, aggregates both native and sponsored earnings

Response

Successfully retrieved total user earnings

date
string<date-time>
required

Date of the earnings

asset_address
string
required

Address of the reward asset

maker_address
string
required

Address of the maker

earnings
number<double>
required

Total amount of earnings in the asset

asset_rate
number<double>
required

Exchange rate of the asset